For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Lists task list templates for a task bundle.

GET
https://api.awork.com/api/v1/taskbundles/:taskBundleId/tasklisttemplates
GET
/api/v1/taskbundles/:taskBundleId/tasklisttemplates
$curl https://api.awork.com/api/v1/taskbundles/taskBundleId/tasklisttemplates \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1[
2 {
3 "id": "9f8b7c6d-4e3a-4b2f-9d1a-5c7e8f9a0b1c",
4 "createdOn": "2023-11-10T09:15:00Z",
5 "createdBy": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
6 "updatedOn": "2024-04-20T14:45:00Z",
7 "updatedBy": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
8 "name": "Quarterly Product Launch Tasks",
9 "order": 1,
10 "plannedDuration": 7200,
11 "totalPlannedDuration": 14400,
12 "totalPlannedDurationWithHierarchy": 21600,
13 "isArchived": false,
14 "isHiddenForConnectUsers": false
15 }
16]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a task list template for a bundle.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskBundleIdstringRequiredformat: "uuid"
The id of the task bundle.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the task list.
createdOnstringformat: "date-time"
The date this task list was created.
createdBystringformat: "uuid"
The id of the user who created this task list.
updatedOnstringformat: "date-time"
The date this task list was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this task list.
namestring or null
The name of the list.
orderdouble or null
The order of the list.
plannedDurationinteger or null
The planned duration for this task list, in seconds.
totalPlannedDurationlong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchylong or null

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedboolean
Whether the task list has been archived.
isHiddenForConnectUsersboolean
True if the task in this list will be not visible for external workspace users. False otherwise.

Errors

404
Not Found Error